<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" xmlns:sec="https://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
<head>
	<title>Admin | Home</title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<!--Plugin-->
	<link rel="stylesheet" th:href="@{/css/vendor/bootstrap.min.css}" />
	<link rel="stylesheet" th:href="@{/css/vendor/dataTables.bootstrap4.min.css}" />
	<link rel="stylesheet" th:href="@{/font/font-awesome/font-awesome.css}" />
	<link rel="stylesheet" th:href="@{/css/vendor/toastr.min.css}" />
	<link rel="stylesheet" th:href="@{/css/vendor/bootstrap4-toggle.min.css}" />
	<link rel="stylesheet" th:href="@{/css/style.css}" />
</head>
<body>
	<nav
		class="navbar navbar-expand-lg navbar-light bg-light justify-content-between">
		<a class="navbar-brand" href="#">Human Resource Management System</a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
			data-target="#navbarSupportedContent"
			aria-controls="navbarSupportedContent" aria-expanded="false"
			aria-label="Toggle navigation">
			<span class="navbar-toggler-icon"></span>
		</button>
		<a href="/logout" class="btn btn-outline-primary"> Logout </a>
	</nav>
	<div class="container">
		<div class="container-fluid title">
			<span style="font-size: 1.2rem">Employee Records</span>
			<div>
				<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#addEditEmployeeModal" onclick="resetForm();">
					<i class="fa fa-plus-circle mr-1"></i>Add Employee
				</button>
			</div>
		</div>
		
		<table id="employeeGrid" class="table table-striped table-bordered">
			<thead>
				<tr>
					<th>First Name</th>
					<th>Last Name</th>
					<th>Skills</th>
					<th>Department</th>
					<th>Username</th>
					<th>Actions</th>
				</tr>
			</thead>
		</table>


		<!-- <input id="toggleDeletedEmployees" type="checkbox"
			data-toggle="toggle"> Show Deleted Records  -->
	</div>

	<!-- Add/Edit Employee Modal -->

	<div id="addEditEmployeeModal" class="modal fade"
		data-backdrop="static" data-keyboard="false">
		<div class="modal-dialog">
			<div class="modal-content">
				<form>
					<div class="modal-header">
						<h4 class="modal-title">
							<span id="addEditEmployeeTitle">Add Employee</span>
						</h4>
						<button type="button" class="close" data-dismiss="modal"
							aria-hidden="true">&times;</button>
					</div>
					<div class="modal-body">
						<div class="row">
							<div class="form-group col">
								<label>First Name</label> <input type="text"
									class="form-control form-control-sm" id="firstName"
									placeholder="First Name" maxlength="250" autocomplete="off">
							</div>

							<div class="form-group col">
								<label>Last Name</label> <input type="text"
									class="form-control form-control-sm" id="lastName"
									placeholder="Last Name" maxlength="250" autocomplete="off">
							</div>
						</div>

						<div class="row">
							<div class="form-group col">
								<label>Username</label> <input type="text"
									class="form-control form-control-sm" id="username"
									placeholder="Username" maxlength="250" autocomplete="off">
							</div>

							<div class="form-group col">
								<label>Password</label> <input type="password"
									class="form-control form-control-sm" id="password"
									placeholder="Password" maxlength="250" autocomplete="off">
							</div>
						</div>

						<div class="row">
							<div class="form-group col">
								<label>Department</label> <select
									class="form-control form-control-sm" id="department">
									<option value="">Select</option>
								</select>
							</div>

							<div class="form-group col">
								<label>Retype Password</label> <input type="password"
									class="form-control form-control-sm" id="retypePassword"
									placeholder="Retype Password" maxlength="250"
									autocomplete="off">
							</div>
						</div>

						<div class="form-group">
							<label>Skills<a href="#" class="ml-1 tooltip-link"
								data-toggle="tooltip" title="Press Enter after typing a Skill."><i
									class="fa fa-question-circle" aria-hidden="true"></i></a></label> <input
								type="text" class="form-control form-control-sm" id="skills"
								placeholder="Skills" maxlength="250" data-role="tagsinput"
								autocomplete="off">
							<div id="skillTags"></div>
						</div>

					</div>
					<div class="modal-footer">
						<input type="hidden" id="employeeId"> <input type="button"
							class="btn btn-secondary" data-dismiss="modal" value="Cancel">
						<input type="button" class="btn btn-primary" value="Save"
							id="addEditEmployeeBtn">
					</div>
				</form>
			</div>
		</div>
	</div>

	<footer>
		<!--Plugin Script-->
		<script th:src="@{/js/vendor/jquery-3.3.1.min.js}"></script>
		<script th:src="@{/js/vendor/bootstrap.bundle.min.js}"></script>
		<script th:src="@{/js/vendor/jquery.dataTables.min.js}"></script>
		<script th:src="@{/js/vendor/dataTables.bootstrap4.min.js}"></script>
		<script th:src="@{/js/vendor/toastr.min.js}"></script>
		<script th:src="@{/js/vendor/bootstrap4-toggle.min.js}"></script>
		<script th:src="@{/js/admin.js}"></script>
	</footer>
</body>
</html>